import { DisplayObject, RenderingService, RenderingPlugin, BaseStyleProps, Point } from '@antv/g';
export declare const PointInPathPickerFactory: unique symbol;
export declare type PointInPathPicker<T extends BaseStyleProps> = (displayObject: DisplayObject<T>, point: Point, isPointInPath?: (displayObject: DisplayObject<T>, point: Point) => boolean) => boolean;
/**
 * pick shape(s) with Mouse/Touch event
 *
 * 1. find AABB with r-tree
 * 2. do math calculation with geometry in an accurate way
 */
export declare class CanvasPickerPlugin implements RenderingPlugin {
    static tag: string;
    private camera;
    private sceneGraphService;
    private renderingContext;
    private displayObjectPool;
    private offscreenCanvas;
    private rBush;
    private pathGeneratorFactory;
    private pointInPathPickerFactory;
    apply(renderingService: RenderingService): void;
    private isHit;
    /**
     * use native picking method
     * @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/isPointInPath
     */
    private isPointInPath;
}
